
TYPO3.Fluid - Bug # 51239

Status: Under Review Priority: Must have
Author: Timo Dödtmann Category: Core
Created: 2013-08-21 Assigned To: Adrian Föder
Updated: 2014-04-11 Due date:
Has patch: Yes
Affected Flow version: Flow 2.0.0
Subject: AbstractViewHelper use incorrect method signature for "$this->systemLogger->log()"
Description

Within the `AbstractViewHelper::callRenderMethod()` a log entry will be created if en exception is thrown.
But the method signature of the systemLogger (\TYPO3\Flow\Log\LoggerInterface) looks slightly different to the method call.

TYPO3\Flow\Log\LoggerInterface

public function log($message, $severity = LOG_INFO, $additionalData = NULL, $packageKey = NULL, $className = NULL,
$methodName = NULL);

vs.

TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper

$this->systemLogger->log('An Exception was captured: '. $exception->getMessage() . '(' . $exception->getCode() . ')',
LOG_ERR, 'TYPO3.Fluid', get_class($this));

The `$additionalData` is missing.

History
#1 - 2014-02-24 13:40 - Adrian Föder
- Status changed from New to Accepted
- Assigned To set to Adrian Föder
- Priority changed from Should have to Must have

#2 - 2014-04-11 09:04 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/29377

#3 - 2014-04-11 10:41 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/29377
#4 - 2014-04-11 11:17 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/29377

Files
patch.patch 813 Bytes 2013-08-21 Timo Dödtmann
